Skip to main content
PUT
/
networks
/
custom
/
creative
/
{settingId}
Update Custom Creative Setting
curl --request PUT \
  --url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_creative_ids": [
    123
  ],
  "network_affiliate_ids": [
    123
  ],
  "name": "<string>",
  "custom_setting_status": "active",
  "creative": {
    "network_offer_id": 123,
    "name": "<string>",
    "creative_type": "image",
    "is_private": true,
    "creative_status": "active",
    "html_code": "<string>",
    "width": 123,
    "height": 123,
    "email_from": "<string>",
    "email_subject": "<string>",
    "additional_offer_ids": [
      123
    ],
    "is_apply_specific_affiliates": true,
    "resource_file": {
      "temp_url": "<string>",
      "original_file_name": "<string>"
    },
    "html_files": [
      {}
    ],
    "html_assets": [
      {}
    ]
  }
}
'
{
  "network_custom_creative_setting_id": 123,
  "network_id": 123,
  "network_offer_creative_ids": [
    123
  ],
  "network_affiliate_ids": [
    123
  ],
  "name": "<string>",
  "custom_setting_status": "active",
  "time_created": 123,
  "time_saved": 123,
  "relationship": {
    "affiliates": [
      {}
    ],
    "creative": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom creative setting identifier.

Body

application/json
network_offer_creative_ids
integer[]
required

List of offer creative IDs to assign.

network_affiliate_ids
integer[]
required

List of affiliate IDs this setting applies to.

name
string
required

Custom creative setting name.

custom_setting_status
enum<string>
required

Setting status.

Available options:
active,
inactive
creative
object

Creative object for creating a new creative inline.

Response

200 - application/json

OK

network_custom_creative_setting_id
integer

Unique custom creative setting ID.

network_id
integer

Network ID.

network_offer_creative_ids
integer[]

List of offer creative IDs assigned.

network_affiliate_ids
integer[]

List of affiliate IDs this setting applies to.

name
string

Custom creative setting name.

custom_setting_status
enum<string>

Setting status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.

relationship
object